#ifndef MESSAGES_H
#define MESSAGES_H

class M
{
public:
	const static TCHAR FatalError_rus[];
	const static TCHAR CannotLoadDictionary_rus[];
	const static TCHAR CannotCreateObject_rus[];
	const static TCHAR CannotDeleteObject_rus[];
	const static TCHAR CannotFindObject_rus[];
	const static TCHAR CannotConnectToServer_rus[];
	const static TCHAR CannotLoadData_rus[];
	const static TCHAR CannotSaveData_rus[];
	const static TCHAR CannotDeleteData_rus[];
	const static TCHAR CannotSaveAttribute_rus[];
	const static TCHAR CannotLoadAttribute_rus[];

	const static TCHAR UndoCkeckOut_rus[];

	const static TCHAR DuplicateString_rus[];
	const static TCHAR DocumentTypeNotSelected_rus[];
	const static TCHAR EmptyName_rus[];
	const static TCHAR NewFolder_rus[];
	const static TCHAR ExistingFolder_rus[];
	const static TCHAR NewDocument_rus[];
	const static TCHAR ExistingDocument_rus[];
	const static TCHAR LastVersion_rus[];
	const static TCHAR Version_rus[];
	const static TCHAR VersionProperties_rus[];
	const static TCHAR EmptyPathName_rus[];
	const static TCHAR PathNotExists_rus[];
	const static TCHAR NewRevision_rus[];
	const static TCHAR CannotLoadBlob_rus[];
	const static TCHAR EmptyParameter_rus[];
	const static TCHAR EndRevision_rus[];

	const static TCHAR TEMP[];
	const static TCHAR NoEnvironmentVariable_rus[];

	static LPCTSTR FatalError() { return CaplTranslate::Translate(FatalError_rus); }
	static LPCTSTR CannotLoadDictionary() { return CaplTranslate::Translate(CannotLoadDictionary_rus); }
	static LPCTSTR CannotCreateObject() { return CaplTranslate::Translate(CannotCreateObject_rus); }
	static LPCTSTR CannotDeleteObject() { return CaplTranslate::Translate(CannotDeleteObject_rus); }
	static LPCTSTR CannotFindObject() { return CaplTranslate::Translate(CannotFindObject_rus); }
	static LPCTSTR CannotConnectToServer() { return CaplTranslate::Translate(CannotConnectToServer_rus); }
	static LPCTSTR CannotLoadData() { return CaplTranslate::Translate(CannotLoadData_rus); }
	static LPCTSTR CannotSaveData() { return CaplTranslate::Translate(CannotSaveData_rus); }
	static LPCTSTR CannotDeleteData() { return CaplTranslate::Translate(CannotDeleteData_rus); }
	static LPCTSTR CannotSaveAttribute() { return CaplTranslate::Translate(CannotSaveAttribute_rus); }
	static LPCTSTR CannotLoadAttribute() { return CaplTranslate::Translate(CannotLoadAttribute_rus); }

	static LPCTSTR UndoCkeckOut() { return CaplTranslate::Translate(UndoCkeckOut_rus); }

	static LPCTSTR DuplicateString() { return CaplTranslate::Translate(DuplicateString_rus); }
	static LPCTSTR EmptyName() { return CaplTranslate::Translate(EmptyName_rus); }
	static LPCTSTR DocumentTypeNotSelected() { return CaplTranslate::Translate(DocumentTypeNotSelected_rus); }
	static LPCTSTR NewFolder() { return CaplTranslate::Translate(NewFolder_rus); }
	static LPCTSTR ExistingFolder() { return CaplTranslate::Translate(ExistingFolder_rus); }
	static LPCTSTR NewDocument() { return CaplTranslate::Translate(NewDocument_rus); }
	static LPCTSTR ExistingDocument() { return CaplTranslate::Translate(ExistingDocument_rus); }
	static LPCTSTR LastVersion() { return CaplTranslate::Translate(LastVersion_rus); }
	static LPCTSTR Version() { return CaplTranslate::Translate(Version_rus); }
	static LPCTSTR VersionProperties() { return CaplTranslate::Translate(VersionProperties_rus); }
	static LPCTSTR EmptyPathName() { return CaplTranslate::Translate(EmptyPathName_rus); }
	static LPCTSTR PathNotExists() { return CaplTranslate::Translate(PathNotExists_rus); }
	static LPCTSTR NewRevision() { return CaplTranslate::Translate(NewRevision_rus); }
	static LPCTSTR CannotLoadBlob() { return CaplTranslate::Translate(CannotLoadBlob_rus); }
	static LPCTSTR EmptyParameter() { return CaplTranslate::Translate(EmptyParameter_rus); }
	static LPCTSTR EndRevision() { return CaplTranslate::Translate(EndRevision_rus); }

	static LPCTSTR NoEnvironmentVariable() { return CaplTranslate::Translate(NoEnvironmentVariable_rus); }

};
#endif //ifndef MESSAGES_H
